## org.jboss.ejb.plugins.jaws.jdbc
Class JDBCFindByCommand

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
            |
            +--org.jboss.ejb.plugins.jaws.jdbc.JDBCQueryCommand
                  |
                  +--org.jboss.ejb.plugins.jaws.jdbc.JDBCFinderCommand
                        |
                        +--org.jboss.ejb.plugins.jaws.jdbc.JDBCFindByCommand

All Implemented Interfaces:
  JPMFindEntitiesCommand

public class JDBCFindByCommand
extends JDBCFinderCommand

JAWSPersistenceManager JDBCFindByCommand

Version:
  $Revision: 1.10.2.3 $
Author:
  Rickard Öberg, Marc Fleury, Joe Shevland, Justin Forder, danch (Dan Christopherson), Torben Jäger
See Also:
  <related>

Fields inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCFinderCommand
`finderMetaData`

Fields inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`debug, factory, jawsEntity, log, name`

Constructor Summary
`JDBCFindByCommand(JDBCCommandFactory factory, java.lang.reflect.Method finderMethod, FinderMetaData md)`

Method Summary
`java.lang.String` `getFromClause()` This method must be ovverridden to return the full table list for the query, including any join statements.
`java.lang.String` `getOrderByClause()` This method must be ovverridded to return the full order by clause for the query, including the 'ORDER BY' keyword.
`java.lang.String` `getWhereClause()` This method must be overridden to return the where clause used in this query.
`protected void` `setParameters(java.sql.PreparedStatement stmt, java.lang.Object argOrArgs)` Default implementation does nothing.

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCFinderCommand
`execute, getFinderMetaData, handleResult`

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCQueryCommand
`executeStatementAndHandleResult`

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`getCMPFieldValue, getConnection, getJawsCMPFieldJDBCType, getJDBCType, getJDBCTypeName, getPkColumnList, getPkColumnWhereList, getPkFieldValue, getResultObject, getResultObject, getSQL, getState, isBinaryType, jdbcExecute, setCMPFieldValue, setParameter, setPrimaryKeyParameters, setSQL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCFindByCommand

    public JDBCFindByCommand(JDBCCommandFactory factory,
                             java.lang.reflect.Method finderMethod,
                             FinderMetaData md)
                      throws java.lang.IllegalArgumentException

Method Detail

### getWhereClause

    public java.lang.String getWhereClause()

  Description copied from class: `JDBCFinderCommand`
  This method must be overridden to return the where clause used in this query. This must start with the keyword 'WHERE' and include all conditions needed to execute the query properly.
  Overrides:
    `getWhereClause` in class `JDBCFinderCommand`

### getFromClause

    public java.lang.String getFromClause()

  Description copied from class: `JDBCFinderCommand`
  This method must be ovverridden to return the full table list for the query, including any join statements. This must start with the keyword 'FROM' and include all tables needed to execute the query properly.
  Overrides:
    `getFromClause` in class `JDBCFinderCommand`

### getOrderByClause

    public java.lang.String getOrderByClause()

  Description copied from class: `JDBCFinderCommand`
  This method must be ovverridded to return the full order by clause for the query, including the 'ORDER BY' keyword.
  Overrides:
    `getOrderByClause` in class `JDBCFinderCommand`

### setParameters

    protected void setParameters(java.sql.PreparedStatement stmt,
                                 java.lang.Object argOrArgs)
                          throws java.lang.Exception

  Description copied from class: `JDBCCommand`
  Default implementation does nothing. Override if parameters need to be set.
  Overrides:
    `setParameters` in class `JDBCCommand`
  Following copied from class: `org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand`
  Parameters:
    `stmt` - the PreparedStatement which will be executed by this Command.
    `argOrArgs` - argument or array of arguments passed in from subclass execute method.
  Throws:
    `java.lang.Exception` - if parameter setting fails.

Copyright © 2000 The JBoss Organization. All Rights Reserved.